## TrackerDecoratorFS TrackerDecoratorFS — Filesystem implementation for TrackerDecorator |

## Functions

gint | tracker_decorator_fs_prepend_file ()

## Types and Values

struct | TrackerDecoratorFS
struct | TrackerDecoratorFSClass

## Object Hierarchy

        GObject
        ╰── TrackerMiner
            ╰── TrackerDecorator
                ╰── TrackerDecoratorFS

## Implemented Interfaces

TrackerDecoratorFS implements GInitable.

## Includes

    #include <libtracker-miner/tracker-miner.h>

## Description

TrackerDecoratorFS is used to handle extended metadata extraction for resources on file systems that are mounted or unmounted.

## Functions

### tracker_decorator_fs_prepend_file ()

    gint
    tracker_decorator_fs_prepend_file (TrackerDecoratorFS *decorator,
                                       GFile *file);

Prepends a file for processing.

#### Parameters

decorator | a TrackerDecoratorFS |
file | a GFile to process |

#### Returns

the tracker:id of the element corresponding to the file

Since: 1.2

## Types and Values

### struct TrackerDecoratorFS

    struct TrackerDecoratorFS;

A decorator object.

### struct TrackerDecoratorFSClass

    struct TrackerDecoratorFSClass {
    	TrackerDecoratorClass parent_class;

    	/* <Private> */
    	gpointer padding[10];
    };

A class that takes care of resources on mount points added or removed, this is based on TrackerDecoratorClass.

#### Members

TrackerDecoratorClass `parent_class`; | parent object class. |
gpointer `padding`[10]; | Reserved for future API improvements. |

## See Also

TrackerDecorator